# Usage limits by endpoint

To ensure good API performance, integrations will be subject to a throttling threshold.\
Current limits are described below.

<table><thead><tr><th width="184">Method/Endpoint</th><th width="151">Rate limiting. Max quantity of requests per MINUTE.</th><th width="195">Burst limiting</th><th>Quantity limiting. Max quantity of objects per REQUEST</th></tr></thead><tbody><tr><td><p>GET</p><p>accounts</p></td><td>10 requests per minute</td><td>N/A</td><td>N/A</td></tr><tr><td><p>GET</p><p>accounts/marketplaces</p></td><td>10 requests per minute</td><td>N/A</td><td>N/A</td></tr><tr><td><p>GET</p><p>accounts/pricelists</p></td><td>10 requests per minute</td><td>N/A</td><td>N/A</td></tr><tr><td><p>GET</p><p>accounts/stores</p></td><td>10 requests per minute</td><td>N/A</td><td>100 objects per request</td></tr><tr><td><p>PUT</p><p>accounts/taxrules</p></td><td>60 requests per minute</td><td>N/A</td><td><p>1 object per</p><p>request</p></td></tr><tr><td><p>GET</p><p>accounts/logintoken</p></td><td>10 requests per minute</td><td>N/A</td><td><p>1 object per</p><p>request</p></td></tr><tr><td><p>GET</p><p>Orders</p></td><td>10 requests per minute</td><td>N/A</td><td>100 objects per request</td></tr><tr><td><p>GET</p><p>orders/pack</p></td><td>10 requests per minute</td><td>N/A</td><td><p>1 object per</p><p>request</p></td></tr><tr><td><p>GET</p><p>orders/documents</p><p> </p><p>POST</p><p>orders/documents</p></td><td>30 requests per minute</td><td>N/A</td><td><p>1 object per</p><p>request</p></td></tr><tr><td><p>GET</p><p>orders/shippinglabel</p></td><td>10 requests per minute</td><td>N/A</td><td><p>1 object per</p><p>request</p></td></tr><tr><td><p>POST</p><p>orders/split</p></td><td>10 requests per minute</td><td>N/A</td><td><p>1 object per</p><p>request</p></td></tr><tr><td><p>PUT</p><p>orders</p><p> </p><p>PUT</p><p>orders/integrate</p></td><td>30 requests per minute</td><td>N/A</td><td>50 objects per request</td></tr><tr><td><p>GET</p><p>orders/shipping/packaginginfo</p></td><td>30 requests per minute</td><td>N/A</td><td><p>1 object per</p><p>request</p></td></tr><tr><td><p>POST</p><p>orders/shipping/packaginginfo</p></td><td>30 requests per minute</td><td>N/A</td><td><p>1 object per</p><p>request</p></td></tr><tr><td><p>GET</p><p>orders/shipping/scheduling</p></td><td>10 requests per minute</td><td>N/A</td><td><p>1 object per</p><p>request</p></td></tr><tr><td><p>GET</p><p>orders/shipping/transportation</p></td><td>10 requests per minute</td><td>N/A</td><td><p>1 object per</p><p>request</p></td></tr><tr><td><p>POST</p><p>Orders</p></td><td>10 requests per minute</td><td>N/A</td><td><p>1 object per</p><p>request</p></td></tr><tr><td><p>DELETE</p><p>Orders</p></td><td>10 requests per minute</td><td>N/A</td><td><p>1 object per</p><p>request</p></td></tr><tr><td><p>GET</p><p>Products</p></td><td>30 requests per minute</td><td>N/A</td><td>1.000 objects per request</td></tr><tr><td><p>POST</p><p>products [price, stock, others]</p></td><td>60 requests per minute</td><td>N/A</td><td>1.000 objects per request</td></tr><tr><td><p>PUT</p><p>products/fiscalinformation</p></td><td>60 requests per minute</td><td>N/A</td><td>1.000 objects per request</td></tr><tr><td><p>DELETE</p><p>products/prices</p></td><td>60 requests per minute</td><td>N/A</td><td>1.000 objects per request</td></tr><tr><td><p>GET</p><p>productlistings/search</p></td><td>30 requests per minute</td><td>N/A</td><td>1.000 objects per request</td></tr><tr><td><p>POST</p><p>productlistings/discounts</p></td><td>60 requests per minute</td><td>N/A</td><td>1.000 objects per request</td></tr><tr><td><p>PUT</p><p>Productlistings</p></td><td>60 requests per minute</td><td>N/A</td><td><p>1 product type object per request</p><p> </p><p>OR</p><p> </p><p>50 productlistings type objects per request</p></td></tr><tr><td><p>PUT</p><p>productlistings/status</p></td><td>60 requests per minute</td><td>N/A</td><td><p>1 product type object per request</p><p> </p><p>OR</p><p> </p><p>50 productlistings type objects per request</p></td></tr><tr><td><p>GET</p><p>conciliations/payments</p><p>conciliations/payments/details</p></td><td>10 requests per minute</td><td>N/A</td><td>100 objects per request</td></tr><tr><td>Other endpoints defaults</td><td>10 requests per minute</td><td>N/A</td><td><p>Please refer to</p><p>each endpoint.</p></td></tr></tbody></table>

Tips:\
• Burst limit is not yet implemented. N/A stands for “Not available”.\
• 10 requests per minute is an equivalent of one request every 6 seconds.\
• 30 requests per minute is an equivalent of one request every 2 seconds.\
• 60 requests per minute is an equivalent of one request every 1 second.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/usage-limiting/usage-limits-by-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
